Package org.eclipse.ecf.core.util

# Class Proxy

java.lang.Object
org.eclipse.ecf.core.util.Proxy

All Implemented Interfaces:
  `Serializable`

public class Proxy extends Object implements Serializable

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Proxy.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Proxy`
`NO_PROXY`

## Constructor Summary

Constructors
Constructor
Description
`Proxy(Proxy.Type type, ProxyAddress address)`
`Proxy(Proxy.Type type, ProxyAddress address, String username, String password)`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
`ProxyAddress`
`getAddress()`
`String`
`getPassword()`
`Proxy.Type`
`getType()`
`String`
`getUsername()`
`boolean`
`hasCredentials()`
`final int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_PROXY

public static final Proxy NO_PROXY

## Constructor Details

### Proxy

public Proxy(Proxy.Type type, ProxyAddress address, String username, String password)

### Proxy

public Proxy(Proxy.Type type, ProxyAddress address)

## Method Details

### getType

public Proxy.Type getType()

### getAddress

public ProxyAddress getAddress()

### getUsername

public String getUsername()

### getPassword

public String getPassword()

### hasCredentials

public boolean hasCredentials()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`